Highlighted

May I use FDK 2019 with FrameMaker 2015?

New Here ,
Jun 17, 2019

Copy link to clipboard

Copied

Hi all,

Currently I only have FrameMaker 2015 available.

I have previously used FDK on Solaris with FrameMaker 8 to extend menues for structured documents and need to use the same functions on FM 2015 on windows.

I can't see any downloads for FDK 2015. May I use FDK 2019? Alternatively, please point where I might find FDK 2015.

Best Regards,

--Gunnar

TOPICS
Scripting

Views

887

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

May I use FDK 2019 with FrameMaker 2015?

New Here ,
Jun 17, 2019

Copy link to clipboard

Copied

Hi all,

Currently I only have FrameMaker 2015 available.

I have previously used FDK on Solaris with FrameMaker 8 to extend menues for structured documents and need to use the same functions on FM 2015 on windows.

I can't see any downloads for FDK 2015. May I use FDK 2019? Alternatively, please point where I might find FDK 2015.

Best Regards,

--Gunnar

TOPICS
Scripting

Views

888

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jun 17, 2019 0
Enthusiast ,
Jun 17, 2019

Copy link to clipboard

Copied

It's best to use the FDK version that matches the version of FrameMaker that you're using.

Here is the link to the 2015 FDK:

http://download.macromedia.com/pub/developer/framemaker/FM2015_FDK.zip

The downloads are listed at the bottom of the FrameMaker developer's page along with many other useful resources.

FrameMaker Developer Center

Ian

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 17, 2019 1
Mentor ,
Jun 17, 2019

Copy link to clipboard

Copied

Adding to Ian's advice, I would strongly recommend that you avoid using newer versions of the FDK with older versions of FrameMaker. Typically it works the other way around, where older clients still work with newer versions of FM. But not newer FDK versions. It's really very risky and not worth it since you can get the older FDK. Note that you will need Visual C++ 2010 to build the clients, or some significant IDE skills to adapt a later version. I use the free Express edition and it works fine.

Russ

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 17, 2019 1
New Here ,
Jun 18, 2019

Copy link to clipboard

Copied

Thank you both very much for your answers.

However, I could not find the documentation for the 2015 version. Also, I could not find any reference to the 2015 version on FrameMaker Developer Center

I downloaded the zip-file you refer to, but I don't believe it contains the documentation. A pointer to the doc would be much appreciated.

I guess I should have the correct doc, also sinse the 2015 and the 2019 versions refer to different Visual C++ versions?

--Gunnar

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 18, 2019 0
Advocate ,
Jun 18, 2019

Copy link to clipboard

Copied

If you use only functions you know existed for FM 2015 there should not be any issue using the newer documentation. Property and method names do not change. New properties and methods may be added, but it is pretty clear which ones these are from checking the new options in newer FM versions.

Of course the best choice would be to go for FM 2019 - as this has a complete overhaul of all the libraries involved and has become a MUCH more stable product because of this.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 18, 2019 1
Enthusiast ,
Jun 18, 2019

Copy link to clipboard

Copied

While I couldn't find the 2015 FDK documents on the Adobe Frame developer site, there is a very helpful website here: https://www.daube.ch/docu/fmaker69.html

Provided by the always helpful Klaus Daube.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 18, 2019 1
Mentor ,
Jun 18, 2019

Copy link to clipboard

Copied

And, my extra comment too... For installation and IDE setup, I don't think it matters much what version of documentation you are looking at. This is the most neglected content of all. You are not likely to find anything very thorough. Many of us have had to come here and other forums to get community help for setting things up when newer versions come out.

Russ

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 18, 2019 2